class IncreaseSizeIff < ActiveRecord::Migration
  def self.up
    change_column :job_templates, :include_file_filter, :string, :limit => 512
    change_column :job_template_steps, :include_file_filter, :string, :limit => 512
    change_column :job_steps, :include_file_filter, :string, :limit => 512
    
    change_column :job_templates, :exclude_file_filter, :string, :limit => 512
    change_column :job_template_steps, :exclude_file_filter, :string, :limit => 512
    change_column :job_steps, :exclude_file_filter, :string, :limit => 512
  end

  def self.down
    execute 'UPDATE job_templates SET include_file_filter=SUBSTR(file_index, 1, 255);'
    change_column :job_templates, :include_file_filter, :string, :limit => 255
    execute 'UPDATE job_template_steps SET include_file_filter=SUBSTR(file_index, 1, 255);'
    change_column :job_template_steps, :include_file_filter, :string, :limit => 255
    execute 'UPDATE job_steps SET include_file_filter=SUBSTR(file_index, 1, 255);'
    change_column :job_steps, :include_file_filter, :string, :limit => 25

    execute 'UPDATE job_templates SET exclude_file_filter=SUBSTR(file_index, 1, 255);'
    change_column :job_templates, :exclude_file_filter, :string, :limit => 255
    execute 'UPDATE job_template_steps SET exclude_file_filter=SUBSTR(file_index, 1, 255);'
    change_column :job_template_steps, :exclude_file_filter, :string, :limit => 255
    execute 'UPDATE job_steps SET exclude_file_filter=SUBSTR(file_index, 1, 255);'
    change_column :job_steps, :exclude_file_filter, :string, :limit => 25
  end
end
