class AddLocalDirectoryToUsersAndGroups < ActiveRecord::Migration
  def self.up
    User.connection.execute("UPDATE `users` set directory = 'Local Database' where directory is NULL")
    Group.connection.execute("UPDATE `groups` set directory = 'Local Database' where directory is NULL")
  end

  def self.down
    User.connection.execute("UPDATE `users` set directory = NULL where directory = 'Local Database'")
    Group.connection.execute("UPDATE `groups` set directory = NULL where directory = 'Local Database'")
  end
end
